%global bundle org.apache.felix.ipojo.metadata
Name:          felix-ipojo-metadata
Version:       1.6.0
%define        subrel 1
Release:       %mkrel 4
Summary:       Apache Felix iPOJO Metadata
Group:         Development/Java
License:       ASL 2.0
URL:           http://felix.apache.org
Source0:       http://www.apache.org/dist/felix/%{bundle}-1.6.0-project.tar.gz

# change org.codehaus.mojo in org.apache.rat
Patch0:        felix-ipojo-metadata-1.6.0-pom.patch

BuildRequires: felix-parent
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: apache-rat-plugin
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin 
BuildRequires: maven-jar-plugin 
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-local
BuildRequires: maven-plugin-bundle
BuildRequires: maven-surefire-provider-junit4

Requires:      felix-parent

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
iPOJO internal metadata model.

%files
%{_javadir}/felix/%{bundle}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE NOTICE

#--------------------------------------------------------------------

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%files javadoc
%{_javadocdir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q -n %{bundle}-%{version}
%patch0 -p0

%build
mvn-rpmbuild -e install javadoc:aggregate
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 0755 %{buildroot}%{_javadir}/felix
install -m 644 target/%{bundle}-%{version}.jar \
  %{buildroot}%{_javadir}/felix/%{bundle}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.felix-%{bundle}.pom
%add_maven_depmap JPP.felix-%{bundle}.pom felix/%{bundle}.jar

install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/



%changelog
* Sat May 16 2015 neoclust <neoclust> 1.6.0-4.1.mga4
+ Revision: 822164
- Remove old %%update_maven_depmap macro

* Fri Oct 18 2013 luigiwalser <luigiwalser> 1.6.0-4.mga4
+ Revision: 504844
- BR maven-local for mvn-rpmbuild

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.6.0-2.mga3
+ Revision: 350142
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 07 2012 gil <gil> 1.6.0-1.mga2
+ Revision: 192786
- imported package felix-ipojo-metadata

